This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 735182 - libreoffice doesn't build with poppler-0.17.3
libreoffice doesn't build with poppler-0.17.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 735175
  Show dependency treegraph
 
Reported: 2011-09-01 13:42 EDT by Marek Kašík
Modified: 2011-09-09 13:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: libreoffice-3.4.3.2-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-02 08:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marek Kašík 2011-09-01 13:42:57 EDT
Description of problem:
Current version of libreoffice needs poppler's class DCTStream, which is not
present now.


Log snippet:
Entering /builddir/build/BUILD/libreoffice-3.4.3.2/sdext/source/pdfimport/xpdfwrapper
Compiling: sdext/source/pdfimport/xpdfwrapper/wrapper_gpl.cxx
Compiling: sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx
/builddir/build/BUILD/libreoffice-3.4.3.2/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx: In function 'void pdfi::writeJpeg_(OutputBuffer&, Stream*, bool)':
/builddir/build/BUILD/libreoffice-3.4.3.2/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx:153:13: error: 'DCTStream' was not declared in this scope
/builddir/build/BUILD/libreoffice-3.4.3.2/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx:153:24: error: expected primary-expression before ')' token
/builddir/build/BUILD/libreoffice-3.4.3.2/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx:153:25: error: expected ')' before 'str'


Version-Release number of selected component (if applicable):
libreoffice-3.4.3.2-3


Actual results:
Build fails.


Expected results:
Build succeed.


Additional info:
See the bug #735175 for more info and scratch-build of poppler-0.17.3.
This was introduced by upstream commit "Sanitize headers a big" (mainly by
correction of definition of ENABLE_LIBJPEG - see definition of DCTStream class
in poppler/Stream.h) (see http://cgit.freedesktop.org/poppler/poppler/commit/?id=a8fca630d592941c033ca6a380bf46b6e733a748).
Comment 1 Caolan McNamara 2011-09-02 06:27:37 EDT
bah
Comment 2 Caolan McNamara 2011-09-02 07:47:24 EDT
I see that for poppler itself, when its ENABLE_LIBJPEG its own utils include 

#ifdef ENABLE_LIBJPEG
#include "DCTStream.h"
#endif

and regain access to DCTStream, they (like us) use it to call getRawStream.

DCTStream.h however isn't installed into the -devel package, so external apps can't use the same hack as poppler itself
Comment 3 Caolan McNamara 2011-09-02 08:21:52 EDT
fix checked in for F-16/master
Comment 4 Marek Kašík 2011-09-02 08:28:25 EDT
Thank you very much.
Comment 5 Fedora Update System 2011-09-07 06:02:08 EDT
libreoffice-3.4.3.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.3.2-6.fc16
Comment 6 Fedora Update System 2011-09-09 13:05:41 EDT
libreoffice-3.4.3.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.